Subject: Add CycleViewHelper
Description

A cycle view helper is useful for iterating through a predefined set of values in loops. E.g.:

<f:cycle values="{0: 'odd', 1: 'even'}" as="zebraClass">
    <li class="{zebraClass}">{foo}</li>
</f:cycle>

Patch follows.

Associated revisions
Revision c0d0f79d - 2009-09-16 18:48 - Bastian Waidelich

[~TASK] Fluid: tweaked exception that is thrown when trying to iterate through non-traversable objects in ForViewHelper
[~TASK] Fluid: fixed typo in ForViewHelperTest
[+FEATURE] Fluid: added CycleViewHelper. Resolves #4458
[+FEATURE] Fluid: added GroupedForViewHelper. Resolves #4460
[+TASK] Fluid: added test case for PaddingViewHelper. Relates to #4459

History
#1 - 2009-09-15 19:47 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2009-09-16 19:01 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3190.

2015-08-03 1/1


